%define upstream_name MooX-ClassStash
%define upstream_version 0.005

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Extra class information for Moo
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Moo)
BuildRequires:	perl(Package::Stash)

BuildArch:	noarch

%description
Extra class information for Moo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 530867
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 sander85 <sander85> 0.5.0-1.mga4
+ Revision: 460570
- imported package perl-MooX-ClassStash

